package cn.com.ths.automove;

import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;


public class SpinTimerTask
{
    public final static String TAG = SpinTimerTask.class.getSimpleName();
    
    private SpinTimerTask()
    {
    }
    
    static SpinTimerTask spinTimerTask = new SpinTimerTask();
    
    public static SpinTimerTask getInstance()
    {
        return spinTimerTask;
    }
    
    private ScheduledThreadPoolExecutor ses = new ScheduledThreadPoolExecutor(1);
    
    public void init(SpinplateView tv)
    {
        goround(tv);
    }
    
    int time_conf = 10;
    
    void goround(SpinplateView tv)
    {
        if (ses.isShutdown())
        {
            ses = new ScheduledThreadPoolExecutor(1);
        }
        ses.scheduleWithFixedDelay(tv, 100, time_conf, TimeUnit.MILLISECONDS);
    }
    
    public void stop()
    {
        ses.shutdown();
    }
}
